ExtensionFileFilter (SelekTOR Java Documentation)
Date: 2017-04-14

lib

## Class ExtensionFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - lib.ExtensionFileFilter

-     public class ExtensionFileFilter
      extends javax.swing.filechooser.FileFilter

  Author:
    Alistair Neil, Taken from Oracle documentation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionFileFilter(java.lang.String description, java.lang.String extension)` Convenience constructor for a single extension
    `ExtensionFileFilter(java.lang.String description, java.lang.String[] extensions)` Convenience constructor for a multiple extensions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)`
    `java.lang.String` | `getDescription()` Get description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String description,
                                     java.lang.String extension)

      Convenience constructor for a single extension
      Parameters:
        `description` -
        `extension` -

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String description,
                                     java.lang.String[] extensions)

      Convenience constructor for a multiple extensions
      Parameters:
        `description` -
        `extensions` -

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Get description
      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`
      Returns:
        String

    - #### accept

          public boolean accept(java.io.File file)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`